LimitStencil Class Reference

Public Member Functions | Friends | List of all members
LimitStencil Class Reference

Limit point stencil descriptor. More...

`#include <stencilTable.h>`

Inheritance diagram for LimitStencil:

## Public Member Functions
| LimitStencil (int *size, Index *indices, float *weights, float *duWeights=0, float *dvWeights=0, float *duuWeights=0, float *duvWeights=0, float *dvvWeights=0)
| Constructor. More...
float const * | GetDuWeights () const
| Returns the u derivative weights. More...
float const * | GetDvWeights () const
| Returns the v derivative weights. More...
float const * | GetDuuWeights () const
| Returns the uu derivative weights. More...
float const * | GetDuvWeights () const
| Returns the uv derivative weights. More...
float const * | GetDvvWeights () const
| Returns the vv derivative weights. More...
void | Next ()
| Advance to the next stencil in the table. More...
Public Member Functions inherited from Stencil
| Stencil ()
| Default constructor. More...
| Stencil (int *size, Index *indices, float *weights)
| Constructor. More...
| Stencil (Stencil const &other)
| Copy constructor. More...
int | GetSize () const
| Returns the size of the stencil. More...
int * | GetSizePtr () const
| Returns the size of the stencil as a pointer. More...
Index const * | GetVertexIndices () const
| Returns the control vertices indices. More...
float const * | GetWeights () const
| Returns the interpolation weights. More...
void | Next ()
| Advance to the next stencil in the table. More...

## Friends
class | StencilTableFactory
class | LimitStencilTableFactory

## Additional Inherited Members
Protected Attributes inherited from Stencil
int * | _size
Index * | _indices
float * | _weights

## Detailed Description

Limit point stencil descriptor.

Definition at line 242 of file stencilTable.h.

## Constructor & Destructor Documentation

## § LimitStencil()

LimitStencil | ( | int * | size,
|  | Index * | indices,
|  | float * | weights,
|  | float * | duWeights = `0`,
|  | float * | dvWeights = `0`,
|  | float * | duuWeights = `0`,
|  | float * | duvWeights = `0`,
|  | float * | dvvWeights = `0`
| ) |  |
| inline

Constructor.

Parameters

  size | Table pointer to the size of the stencil
  indices | Table pointer to the vertex indices of the stencil
  weights | Table pointer to the vertex weights of the stencil
  duWeights | Table pointer to the 'u' derivative weights
  dvWeights | Table pointer to the 'v' derivative weights
  duuWeights | Table pointer to the 'uu' derivative weights
  duvWeights | Table pointer to the 'uv' derivative weights
  dvvWeights | Table pointer to the 'vv' derivative weights

Definition at line 264 of file stencilTable.h.

## Member Function Documentation

## § GetDuuWeights()

float const* GetDuuWeights | ( |  | ) | const
| inline

Returns the uu derivative weights.

Definition at line 291 of file stencilTable.h.

## § GetDuvWeights()

float const* GetDuvWeights | ( |  | ) | const
| inline

Returns the uv derivative weights.

Definition at line 296 of file stencilTable.h.

## § GetDuWeights()

float const* GetDuWeights | ( |  | ) | const
| inline

Returns the u derivative weights.

Definition at line 281 of file stencilTable.h.

## § GetDvvWeights()

float const* GetDvvWeights | ( |  | ) | const
| inline

Returns the vv derivative weights.

Definition at line 301 of file stencilTable.h.

## § GetDvWeights()

float const* GetDvWeights | ( |  | ) | const
| inline

Returns the v derivative weights.

Definition at line 286 of file stencilTable.h.

## § Next()

void Next | ( |  | ) |
| inline

Advance to the next stencil in the table.

Definition at line 306 of file stencilTable.h.

## Friends And Related Function Documentation

## § LimitStencilTableFactory

friend class LimitStencilTableFactory
| friend

Definition at line 321 of file stencilTable.h.

## § StencilTableFactory

friend class StencilTableFactory
| friend

Definition at line 320 of file stencilTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/stencilTable.h